## org.apache.cassandra.avro
Class CassandraDaemon

    java.lang.Object
      org.apache.cassandra.avro.CassandraDaemon

    public class CassandraDaemon

extends java.lang.Object

The Avro analogue to org.apache.cassandra.service.CassandraDaemon.

Constructor Summary
`CassandraDaemon()`

Method Summary
`void` `destroy()` hook for JSVC
`void` `load(java.lang.String[] arguments)` hook for JSVC
`static void` `main(java.lang.String[] args)`
`void` `start()` hook for JSVC
`void` `stop()` hook for JSVC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CassandraDaemon

    public CassandraDaemon()

Method Detail

### load

    public void load(java.lang.String[] arguments)
              throws java.io.IOException

  hook for JSVC

  Throws:
    `java.io.IOException`

### start

    public void start()
               throws java.io.IOException

  hook for JSVC

  Throws:
    `java.io.IOException`

### stop

    public void stop()

  hook for JSVC

### destroy

    public void destroy()

  hook for JSVC

### main

    public static void main(java.lang.String[] args)

Copyright © 2010 The Apache Software Foundation